Subject: Re: [RFC 0/3] bpf: Add d_path helper

From: Jiri Olsa <[email-masked]>
Date: Tue, 7 Apr 2020 10:53:21 +0200

On Mon, Apr 06, 2020 at 06:10:52PM -0700, Alexei Starovoitov wrote:
> On Mon, Apr 06, 2020 at 11:09:18AM +0200, Jiri Olsa wrote:
> > 
> > is there any way we could have d_path functionality (even
> > reduced and not working for all cases) that could be used
> > or called like that?
> 
> I agree with Al. This helper cannot be enabled for all of bpf tracing.
> We have to white list its usage for specific callsites only.
> May be all of lsm hooks are safe. I don't know yet. This has to be
> analyzed carefully. Every hook. One by one.
> in_task() isn't really a solution.

ok, I thought of white list and it seemed too much to me,
but there's probably no other way

jirka

> 
> At the same time I agree that such helper is badly needed.
> Folks have been requesting it for long time.
>